/*
*
* Copyright (c) 2005 Sun Microsystems, Inc.
* All rights reserved.
* You may not modify, use, reproduce, or distribute this software except in compliance with the terms
* of the License at: http://developer.sun.com/berkeley_license.html
* Author : Sameer Tyagi, Sun Microsystems s.t@sun.com
* "Realizing Strategies for Document-Based Web Services With JAX-WS 2.0"
*  http://java.sun.com/developer/technicalArticles/xml/jaxrpcpatterns
*/
package com.examples.docliteral;

public class Address {
    private String address;

    private String city;
    private String state;
    private String zipCode;

    public Address() {
    };

    public Address(String address, String city, String state,
                   String zipCode) {
        this.address = address;
        this.city = city;
        this.state = state;
        this.zipCode = zipCode;
    }

    // properties

    public String toString() {
        return "Address =" + address +
                "City =" + city +
                "State=" + state +
                "Zip=" + zipCode;

    }


    public String getAddress() {
        return address;
    }

    public void setAddress(String value) {
        address = value;
    }


    public String getCity() {
        return city;
    }

    public void setCity(String value) {
        city = value;
    }


    public String getState() {
        return state;
    }

    public void setState(String value) {
        state = value;
    }


    public String getZipCode() {
        return zipCode;
    }

    public void setZipCode(String value) {
        zipCode = value;
    }
}
