/*
*
* Copyright (c) 2005 Sun Microsystems, Inc.
* All rights reserved.
* You may not modify, use, reproduce, or distribute this software except in compliance with the terms
* of the License at: http://developer.sun.com/berkeley_license.html
* Author : Sameer Tyagi, Sun Microsystems s.t@sun.com
* "Realizing Strategies for Document-Based Web Services With JAX-WS 2.0"
*  http://java.sun.com/developer/technicalArticles/xml/jaxrpcpatterns
*/
package com.examples.docliteral;


import java.util.Calendar;

public class PurchaseOrder {
// properties

    private String poID;
    private Calendar createDate;
    private Address shipTo;
    private Address billTo;
    private LineItem[] items;

    public PurchaseOrder() {
    }

    public PurchaseOrder(String id, Calendar createDate, Address shipTo,
                         Address billTo, LineItem[] items) {
        this.poID = id;
        this.createDate = createDate;
        this.shipTo = shipTo;
        this.billTo = billTo;
        this.items = items;
    }


    public String getPoID() {
        return poID;
    }

    public void setPoID(String value) {
        poID = value;
    }

    public Calendar getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Calendar value) {
        createDate = value;
    }


    public Address getShipTo() {
        return shipTo;
    }

    public void setShipTo(Address value) {
        shipTo = value;
    }


    public Address getBillTo() {
        return billTo;
    }

    public void setBillTo(Address value) {
        billTo = value;
    }


    public LineItem[] getItems() {
        return items;
    }

    public void setItems(LineItem[] value) {
        items = value;
    }
}
